System.ServiceModel 4.0.0.0 System.ServiceModel.CommunicationException

This exception can happen in the following cases:

While negotiating the initial security context. The exact error depends on the negotiation technology used: either Simple and Protected GSS-API Negotiation (SPNEGO) or TLSNEGO. crdefault Security Protocols.

While establishing a security session on top of an initial security context.

During key renewal for an existing security session.

Security negotiation errors can occur as part of the Spnego/Sslnego security protocol or as part of the SecureConversation protocol.

Indicates that an error occurred while negotiating the security context for a message.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a specified error message.

  The error message that explains the reason for the exception.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with serialization information and streaming context specified.

  The that contains all the data required to serialize the exception.
  The that specifies the source and destination of the stream.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with serialization information and inner exception specified.

  The error message that explains the reason for the exception.
  The that caused the current exception to be thrown.